define("ember-cli-sync-for-each", ["ember-cli-sync-for-each/index","exports"], function(__index__, __exports__) {
  "use strict";
  Object.keys(__index__).forEach(function(key){
    __exports__[key] = __index__[key];
  });
});

define('ember-cli-sync-for-each/index', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  var syncForEach = function(enumerable, callback, force, index){
    index = Ember['default'].typeOf(index) === 'undefined' ? 0 : index;
    force = Ember['default'].typeOf(force) === 'undefined' ? false : force;

    var array = enumerable.get('content') || enumerable;

    return new Ember['default'].RSVP.Promise(function(resolve, reject) {
      if (index < array.length) {

        var result = callback.call(this, array[index], index, array);

        if (result && Ember['default'].typeOf(result['then']) === 'function') {

          if (force) {
            result.then(null,reject).finally(function() {
              syncForEach(enumerable, callback, force, ++index).then(resolve, reject);
            });
          } else {
            result.then( function() {
              syncForEach(enumerable, callback, force, ++index).then(resolve, reject);
            }, reject);
          }
        } else {

          syncForEach(enumerable, callback,force,  ++index).then(resolve, reject);
        }

      } else {

        resolve(enumerable);
      }
    });
  };

  exports['default'] = syncForEach;

});//# sourceMappingURL=addons.map